# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "kinetics-macro"
version = "0.11.10"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A set of macros used in Kinetics project."
readme = false
keywords = [
    "kinetics",
    "rust",
    "macro",
]
categories = ["parsing"]
license = "Apache-2.0 OR MIT"
repository = "https://github.com/ottofeller/kinetics"

[lib]
name = "kinetics_macro"
path = "src/lib.rs"
proc-macro = true

[dependencies.kinetics-parser]
version = "0.11.10"

[dependencies.syn]
version = "2.0.114"
